summaryrefslogtreecommitdiff
path: root/extra/ispell
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/ispell
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/ispell')
-rw-r--r--extra/ispell/ChangeLog6
-rw-r--r--extra/ispell/PKGBUILD60
-rw-r--r--extra/ispell/getline.patch47
-rw-r--r--extra/ispell/license.txt35
4 files changed, 148 insertions, 0 deletions
diff --git a/extra/ispell/ChangeLog b/extra/ispell/ChangeLog
new file mode 100644
index 000000000..edb12c3bb
--- /dev/null
+++ b/extra/ispell/ChangeLog
@@ -0,0 +1,6 @@
+2008-03-31 Eric Belanger <eric@archlinux.org>
+
+ * ispell 3.3.02-2
+ * FSH man pages
+ * Added ChangeLog
+
diff --git a/extra/ispell/PKGBUILD b/extra/ispell/PKGBUILD
new file mode 100644
index 000000000..c634a1962
--- /dev/null
+++ b/extra/ispell/PKGBUILD
@@ -0,0 +1,60 @@
+# $Id: PKGBUILD 80733 2010-05-20 21:55:16Z dgriffiths $
+# Contributor: Eric Belanger <eric@archlinux.org>
+# Maintainer: Daniel J Griffiths <ghost1227@archlinux.us>
+
+pkgname=ispell
+pkgver=3.3.02
+pkgrel=4
+pkgdesc="An interactive spell-checking program for Unix"
+arch=('i686' 'x86_64')
+url="http://ficus-www.cs.ucla.edu/geoff/ispell.html"
+license=('BSD')
+depends=('ncurses')
+options=('!makeflags')
+source=(http://fmg-www.cs.ucla.edu/geoff/tars/${pkgname}-${pkgver}.tar.gz
+ license.txt getline.patch)
+md5sums=('12087d7555fc2b746425cd167af480fe' 'bf51b6181b9914dedc266ba970bb7319'
+ '1dca21c5d56405fe592175c3dde2fda2')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ patch -p0 < ${srcdir}/getline.patch || return 1
+
+ sed -i 's/#undef USG/#define USG/' local.h.linux
+ sed -i 's|/usr/local|/usr|' local.h.linux
+ sed -i 's|/lib|/lib/ispell|' local.h.linux
+ cp local.h.linux local.h
+ make TMPDIR=/tmp all || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ # Installing binary tools
+ install -Dm755 buildhash ${pkgdir}/usr/bin/buildhash
+ install -Dm755 findaffix ${pkgdir}/usr/bin/findaffix
+ install -Dm755 icombine ${pkgdir}/usr/bin/icombine
+ install -Dm755 ijoin ${pkgdir}/usr/bin/ijoin
+ install -Dm755 ispell ${pkgdir}/usr/bin/ispell
+ install -Dm755 iwhich ${pkgdir}/usr/bin/iwhich
+ install -Dm755 munchlist ${pkgdir}/usr/bin/munchlist
+ install -Dm755 tryaffix ${pkgdir}/usr/bin/tryaffix
+
+ # Installing man pages
+ install -Dm644 ispell.1 ${pkgdir}/usr/share/man/man1/ispell.1
+ install -Dm644 ispell.5 ${pkgdir}/usr/share/man/man5/ispell.5
+
+ # Installing dictionnaries
+ install -d ${pkgdir}/usr/bin ${pkgdir}/usr/lib/ispell
+ install -m644 languages/american/americanmed.hash \
+ ${pkgdir}/usr/lib/ispell/americanmed.hash
+ install -m644 languages/english/english.aff \
+ ${pkgdir}/usr/lib/ispell/english.aff
+ ln -s americanmed.hash ${pkgdir}/usr/lib/ispell/american.hash
+ ln -s americanmed.hash ${pkgdir}/usr/lib/ispell/english.hash
+
+ # Installing license
+ install -Dm644 ${srcdir}/license.txt \
+ ${pkgdir}/usr/share/licenses/${pkgname}/license.txt
+}
diff --git a/extra/ispell/getline.patch b/extra/ispell/getline.patch
new file mode 100644
index 000000000..196077218
--- /dev/null
+++ b/extra/ispell/getline.patch
@@ -0,0 +1,47 @@
+--- ispell-3.3.02/correct.c 2005-04-28 09:46:51.000000000 -0500
++++ correct.c 2010-05-20 16:36:37.000000000 -0500
+@@ -245,7 +245,7 @@
+ struct flagent * sufent,
+ ichar_t savearea[MAX_CAPS][INPUTWORDLEN + MAXAFFIXLEN],
+ int * nsaved));
+-static char * getline P ((char * buf, int bufsize));
++static char * mygetline P ((char * buf, int bufsize));
+ void askmode P ((void));
+ void copyout P ((unsigned char ** cc, int cnt));
+ static void lookharder P ((unsigned char * string));
+@@ -571,7 +571,7 @@
+
+ imove (li - 1, 0);
+ (void) putchar ('!');
+- if (getline ((char *) buf, sizeof buf) == NULL)
++ if (mygetline ((char *) buf, sizeof buf) == NULL)
+ {
+ (void) putchar (7);
+ ierase ();
+@@ -596,7 +596,7 @@
+ (void) printf ("%s ", CORR_C_READONLY);
+ }
+ (void) printf (CORR_C_REPLACE_WITH);
+- if (getline ((char *) ctok, ctokl) == NULL)
++ if (mygetline ((char *) ctok, ctokl) == NULL)
+ {
+ (void) putchar (7);
+ /* Put it back */
+@@ -664,7 +664,7 @@
+ unsigned char buf[100];
+ imove (li - 1, 0);
+ (void) printf (CORR_C_LOOKUP_PROMPT);
+- if (getline ((char *) buf, sizeof buf) == NULL)
++ if (mygetline ((char *) buf, sizeof buf) == NULL)
+ {
+ (void) putchar (7);
+ ierase ();
+@@ -1583,7 +1583,7 @@
+ return;
+ }
+
+-static char * getline (s, len)
++static char * mygetline (s, len)
+ register char * s;
+ register int len;
+ {
diff --git a/extra/ispell/license.txt b/extra/ispell/license.txt
new file mode 100644
index 000000000..6d6569a3a
--- /dev/null
+++ b/extra/ispell/license.txt
@@ -0,0 +1,35 @@
+ Copyright (c), 1983, by Pace Willisson
+
+ Copyright 1992, 1993, 1999, 2001, 2005, Geoff Kuenning, Claremont, CA
+ All rights reserved.
+
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+ notice, this list of conditions and the following disclaimer in the
+ documentation and/or other materials provided with the distribution.
+ 3. All modifications to the source code must be clearly marked as
+ such. Binary redistributions based on modified source code
+ must be clearly marked as modified versions in the documentation
+ and/or other materials provided with the distribution.
+ 4. The code that causes the 'ispell -v' command to display a prominent
+ link to the official ispell Web site may not be removed.
+ 5. The name of Geoff Kuenning may not be used to endorse or promote
+ products derived from this software without specific prior
+ written permission.
+
+ THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ ARE DISCLAIMED. IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ SUCH DAMAGE.